Get Active Call Details
curl --request GET \
--url https://api.trillet.ai/v2/api/active-calls/{roomName} \
--header 'x-api-key: <api-key>' \
--header 'x-workspace-id: <x-workspace-id>'import requests
url = "https://api.trillet.ai/v2/api/active-calls/{roomName}"
headers = {
"x-api-key": "<api-key>",
"x-workspace-id": "<x-workspace-id>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-workspace-id': '<x-workspace-id>'}
};
fetch('https://api.trillet.ai/v2/api/active-calls/{roomName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "665a1b2c3d4e5f6a7b8c9d0e",
"roomName": "call-abc123",
"customerPhone": "+14155551234",
"customerName": "John Doe",
"aiAgentName": "Customer Support Agent",
"duration": 145,
"sentiment": "positive",
"transcript": [
{ "role": "agent", "content": "Hello! How can I help you today?" },
{ "role": "customer", "content": "I need help with my account." }
],
"participants": [
{
"identity": "agent-001",
"isAgent": true,
"metadata": {},
"joinedAt": "2024-06-01T10:00:00.000Z"
}
]
}
Active Calls
Get Active Call Details
Retrieve detailed information about a specific active call including participants, transcript, and sentiment.
GET
/
v2
/
api
/
active-calls
/
{roomName}
Get Active Call Details
Headers
string
required
API key used for authenticating requests to the API.
string
required
Workspace identifier for the API.
Path Parameters
string
required
The LiveKit room name of the active call.
Response Fields
string
Unique identifier for the active call.
string
The LiveKit room name.
string
Customer’s phone number.
string
Customer’s name if available.
string
Name of the AI agent handling the call.
number
Current call duration in seconds.
string
Current detected sentiment.
array
Live transcript of the conversation.
array
Array of call participants with metadata.
{
"id": "665a1b2c3d4e5f6a7b8c9d0e",
"roomName": "call-abc123",
"customerPhone": "+14155551234",
"customerName": "John Doe",
"aiAgentName": "Customer Support Agent",
"duration": 145,
"sentiment": "positive",
"transcript": [
{ "role": "agent", "content": "Hello! How can I help you today?" },
{ "role": "customer", "content": "I need help with my account." }
],
"participants": [
{
"identity": "agent-001",
"isAgent": true,
"metadata": {},
"joinedAt": "2024-06-01T10:00:00.000Z"
}
]
}
⌘I
